CADDY-ADAPT(1)

NAME

caddy-adapt - Adapts a configuration to Caddy's native JSON

SYNOPSIS

caddy adapt --config <path> [--adapter <name>] [--pretty] [--validate]

DESCRIPTION

Adapts a configuration to Caddy's native JSON format and writes the output to stdout, along with any warnings to stderr. If --pretty is specified, the output will be formatted with indentation for human readability. If --validate is used, the adapted config will be checked for validity. If the config is invalid, an error will be printed to stderr and a non- zero exit status will be returned.

OPTIONS

--adapter
    Name of config adapter

--config
    Configuration file to adapt (required)

--pretty
    Format the output for human readability

--validate
    Validate the output

SEE ALSO

caddy-caddy(1), caddy-environ(1), caddy-file-server(1), caddy-fmt(1), caddy-hash-password(1), caddy-help(1), caddy-list-modules(1), caddy-man(1), caddy-reload(1), caddy-reverse-proxy(1), caddy-run(1), caddy-start(1), caddy-stop(1), caddy-trust(1), caddy-untrust(1), caddy-validate(1), caddy-version(1), caddy(1)

DOCUMENTATION

Full documentation is available at: https://caddyserver.com/docs/

VERSION

2.4.5-1

BUGS

Report Bugs to: https://github.com/caddyserver/caddy

COPYRIGHT

(c) Matthew Holt and The Caddy Authors